Name:           prboom-plus
Version:        2.5.1.4
Release:        %mkrel 1
Summary:        Free enhanced DOOM engine - DOOM is a classic 3D shoot-em-up game
Group:          Games/Shooter
License:        GPLv2+
URL:            http://prboom-plus.sourceforge.net
Source0:        https://downloads.sf.net/prboom-plus/%{name}-%{version}.tar.gz

BuildRequires:  dumb-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(libpcreposix)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  portmidi-devel

Recommends:     doom-iwad
Provides:       doom-engine
Provides:       prboom+ = %{version}-%{release}
Provides:       prboomplus = %{version}-%{release}

%description
PrBoom+ is an enhanced DOOM engine developed from PrBoom.
The target of the PrBoom+ project is to extend the original port
with features that are necessary or useful to the developers and all
those interested in their work. It is worth noting that all changes
introduced in no way break PrBoom's compatibility with the original
DOOM/DOOM2 engines.

PrBoom+ does not include any levels itself. More importantly, you need
all the sounds, sprites, and other graphics that make up the DOOM 
environment.
So to play PrBoom+, you need one of the main DOOM date files from id
Software: either doom.wad, doom2.wad, tnt.wad or plutonia.wad from one
of the commercial DOOM games, or install FreeDOOM.

%prep
%setup -q

%build
%configure2_5x \
    --with-waddir=%{_gamesdatadir}/doom
%make_build

%install
%make_install

install -D -m644 ICONS/%{name}.bash %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
install -D -m644 ICONS/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 ICONS/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# Will manually package docs (see %%files)
rm -rf %{buildroot}%{_docdir}

%files
%doc NEWS AUTHORS README
%doc doc/*.txt doc/*.html doc/README.*
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-game-server
%{_gamesdatadir}/doom/
%{_mandir}/man?/%{name}*.*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Sat Aug 27 2016 akien <akien> 2.5.1.4-1.mga6
+ Revision: 1049300
- Version 2.5.1.4
- Use upstream desktop file and SVG icon
- Install upstream bash completion file
- Cleanup obsolete instructions
- Fix install and files listing

* Tue Feb 16 2016 umeabot <umeabot> 2.5.1.3-15.mga6
+ Revision: 962169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.1.3-14.mga5
+ Revision: 740412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.1.3-13.mga5
+ Revision: 687766
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.5.1.3-12.mga4
+ Revision: 526196
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.5.1.3-11.mga4
+ Revision: 436058
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 2.5.1.3-10.mga3
+ Revision: 378167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 2.5.1.3-9.mga3
+ Revision: 343816
- updated RPM group

* Sat Dec 01 2012 fwang <fwang> 2.5.1.3-8.mga3
+ Revision: 323741
- br pcreposix

* Wed Aug 15 2012 dams <dams> 2.5.1.3-7.mga3
+ Revision: 281408
- update %%summary and %%description

* Mon Aug 13 2012 dams <dams> 2.5.1.3-6.mga3
+ Revision: 281109
- add a provide on doom-engine

* Mon Aug 13 2012 dams <dams> 2.5.1.3-5.mga3
+ Revision: 281098
- remove prboom as a require (spotted by stormi)
- Enhance description

* Mon Jul 30 2012 dams <dams> 2.5.1.3-4.mga3
+ Revision: 276162
- add provides (prboom+ and prboom-plus)

* Sat Jul 21 2012 dams <dams> 2.5.1.3-3.mga3
+ Revision: 273043
- add a .desktop and an icon

* Fri Jul 20 2012 dams <dams> 2.5.1.3-2.mga3
+ Revision: 272898
- fix 'buildrequires' thanks to lemonzest

* Fri Jul 20 2012 dams <dams> 2.5.1.3-1.mga3
+ Revision: 272875
- update SOURCES
- remove uneeded patchs
- clean specfile
- add 'Suggests' as requested in mga#6535
- imported package prboom-plus

